--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'lacp-balance-tcp'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: license_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE license_type AS ENUM (
    'rhsm',
    'rhn'
);


ALTER TYPE public.license_type OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'redhat_setup',
    'redhat_check_credentials',
    'redhat_check_licenses',
    'redhat_download_release',
    'redhat_update_cobbler_profile',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean,
    fuel_version character varying(30) NOT NULL
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    meta text
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: networking_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networking_configs (
    id integer NOT NULL,
    discriminator character varying(50),
    cluster_id integer,
    dns_nameservers text,
    floating_ranges text
);


ALTER TABLE public.networking_configs OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networking_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.networking_configs_id_seq OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networking_configs_id_seq OWNED BY networking_configs.id;


--
-- Name: neutron_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_config (
    id integer NOT NULL,
    vlan_range text,
    gre_id_range text,
    base_mac character varying(17) NOT NULL,
    internal_cidr character varying(25),
    internal_gateway character varying(25),
    segmentation_type segmentation_type NOT NULL,
    net_l23_provider net_l23_provider NOT NULL
);


ALTER TABLE public.neutron_config OWNER TO nailgun;

--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac character varying(17),
    state character varying(25),
    flags text,
    mode bond_mode NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying(17) NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25),
    parent_id integer
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    uuid character varying(36) NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying(17) NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean,
    agent_checksum character varying(40)
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: nova_network_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nova_network_config (
    id integer NOT NULL,
    fixed_networks_cidr character varying(25),
    fixed_networks_vlan_start integer,
    fixed_network_size integer NOT NULL,
    fixed_networks_amount integer NOT NULL,
    net_manager cluster_net_manager NOT NULL
);


ALTER TABLE public.nova_network_config OWNER TO nailgun;

--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: red_hat_accounts; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE red_hat_accounts (
    id integer NOT NULL,
    username character varying(100) NOT NULL,
    password character varying(100) NOT NULL,
    license_type license_type NOT NULL,
    satellite character varying(250),
    activation_key character varying(300)
);


ALTER TABLE public.red_hat_accounts OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE red_hat_accounts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.red_hat_accounts_id_seq OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE red_hat_accounts_id_seq OWNED BY red_hat_accounts.id;


--
-- Name: release_orchestrator_data; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE release_orchestrator_data (
    id integer NOT NULL,
    release_id integer NOT NULL,
    repo_metadata text NOT NULL,
    puppet_manifests_source text NOT NULL,
    puppet_modules_source text NOT NULL
);


ALTER TABLE public.release_orchestrator_data OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE release_orchestrator_data_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.release_orchestrator_data_id_seq OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE release_orchestrator_data_id_seq OWNED BY release_orchestrator_data.id;


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs ALTER COLUMN id SET DEFAULT nextval('networking_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY red_hat_accounts ALTER COLUMN id SET DEFAULT nextval('red_hat_accounts_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data ALTER COLUMN id SET DEFAULT nextval('release_orchestrator_data_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
1	1	{"additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": true, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": true, "label": "Install Ceilometer"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": true, "label": "Install Sahara"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "type": "checkbox"}, "ephemeral_ceph": {"weight": 35, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"weight": 70, "type": "text", "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "value": "2", "label": "Ceph object replication factor"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"conflicts": [{"cluster:net_provider": "neutron"}], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}, "vcenter": {"use_vcenter": {"value": true, "type": "hidden", "description": "", "weight": 5, "label": ""}, "vc_user": {"description": "vCenter admin username", "weight": 30, "value": "", "label": "Username", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "host_ip": {"description": "IP Address of vCenter", "weight": 10, "value": "", "label": "vCenter IP", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "cluster": {"description": "vCenter cluster name", "weight": 40, "value": "", "label": "Cluster", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "vc_password": {"description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "password"}, "metadata": {"weight": 20, "label": "vCenter"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "YHxVZwQL"}, "keystone": {"admin_password": "NotVodgP"}, "database": {"passwd": "mFrgScic"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "Iu3McHhD", "user_password": "MwOlWrhp", "metering_secret": "4a7hDzRN"}, "murano": {"db_password": "IF3a2tl5", "user_password": "1lhIiqM9", "rabbit_password": "sjrBsmIn"}, "nova": {"db_password": "LrNGN5wm", "user_password": "ch9nu34P", "state_path": "/var/lib/nova"}, "heat": {"db_password": "nAMNhhzK", "user_password": "QSMfA3cZ", "rabbit_password": "15HyEZUG"}, "keystone": {"db_password": "uxcvIQa7", "admin_token": "TMKk18o2"}, "rabbit": {"password": "kbrLsGcV"}, "mysql": {"root_password": "zJs7Rd7H"}, "sahara": {"db_password": "L9eogYgp", "user_password": "TojRI8y4"}, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "cinder": {"db_password": "T8i4CEqZ", "user_password": "2HRcPlrC"}, "swift": {"user_password": "pseSniU7"}, "glance": {"db_password": "dpxgdL89", "user_password": "FeuT0dkc"}}
\.


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 1, true);


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
1	1	\N	attributes
2	1	\N	networks
3	1	1	disks
4	1	2	disks
\.


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 4, true);


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, grouping, name, release_id, replaced_deployment_info, replaced_provisioning_info, is_customized, fuel_version) FROM stdin;
1	multinode	error	neutron	roles	test	2	{}	{}	f	5.0
\.


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 1, true);


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.20.0.3	10.20.0.127
2	2	172.16.0.2	172.16.0.126
3	3	192.168.0.1	192.168.0.254
4	4	192.168.1.1	192.168.1.254
\.


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 4, true);


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	\N	10.20.0.2
2	1	1	10.20.0.3
3	1	2	10.20.0.4
4	3	1	192.168.0.1
5	3	2	192.168.0.2
6	2	1	172.16.0.2
7	2	2	172.16.0.3
8	4	1	192.168.1.1
9	4	2	192.168.1.2
\.


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 9, true);


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
\.


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 1, false);


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
1	1	3
2	3	3
3	4	3
4	5	3
5	2	2
6	1	6
7	3	6
8	4	6
9	5	6
10	2	5
\.


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 10, true);


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, vlan_start, cidr, gateway, meta) FROM stdin;
1	fuelweb_admin	\N	\N	\N	10.20.0.0/24	\N	{"notation": "cidr", "render_type": null, "assign_vip": false, "configurable": false, "unmovable": true, "use_gateway": false, "render_addr_mask": null, "map_priority": 0}
2	public	2	1	\N	172.16.0.0/24	172.16.0.1	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}
3	management	2	1	101	192.168.0.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}
4	storage	2	1	102	192.168.1.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}
5	private	2	1	\N	\N	\N	{"name": "private", "notation": null, "render_type": null, "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}
\.


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 5, true);


--
-- Data for Name: networking_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networking_configs (id, discriminator, cluster_id, dns_nameservers, floating_ranges) FROM stdin;
1	neutron_config	1	["8.8.4.4", "8.8.8.8"]	[["172.16.0.130", "172.16.0.254"]]
\.


--
-- Name: networking_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networking_configs_id_seq', 1, true);


--
-- Data for Name: neutron_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_config (id, vlan_range, gre_id_range, base_mac, internal_cidr, internal_gateway, segmentation_type, net_l23_provider) FROM stdin;
1	[1000, 1030]	[2, 65535]	fa:16:3e:00:00:00	192.168.111.0/24	192.168.111.1	vlan	ovs
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
3	3	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB112ae893-8d331e6c", "disk/by-id/ata-VBOX_HARDDISK_VB112ae893-8d331e6c"], "free_space": 265035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 265535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8ea6afc4-dbfc02ae", "disk/by-id/ata-VBOX_HARDDISK_VB8ea6afc4-dbfc02ae"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB52ce4943-3e363e5f", "disk/by-id/ata-VBOX_HARDDISK_VB52ce4943-3e363e5f"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}]	{}
4	4	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB16a4b4fa-3c10f42c", "disk/by-id/ata-VBOX_HARDDISK_VB16a4b4fa-3c10f42c"], "free_space": 265035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 265535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBac2123c3-9105643a", "disk/by-id/ata-VBOX_HARDDISK_VBac2123c3-9105643a"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB39b93ea5-37333d94", "disk/by-id/ata-VBOX_HARDDISK_VB39b93ea5-37333d94"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdc", "size": 65535}]	{}
1	1	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd8827218-8d644e1a", "disk/by-id/ata-VBOX_HARDDISK_VBd8827218-8d644e1a"], "free_space": 264907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 53258}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 211777}], "type": "disk", "id": "sda", "size": 265535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1d9e4c8f-03e30ef5", "disk/by-id/ata-VBOX_HARDDISK_VB1d9e4c8f-03e30ef5"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa72bc84d-140fc4e6", "disk/by-id/ata-VBOX_HARDDISK_VBa72bc84d-140fc4e6"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 53194, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 51200}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 1994}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 341527}], "type": "vg", "id": "image"}]	{}
2	2	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB86b6d42b-c0d65674", "disk/by-id/ata-VBOX_HARDDISK_VB86b6d42b-c0d65674"], "free_space": 264907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 57290}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 207745}], "type": "disk", "id": "sda", "size": 265535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB2c32427e-971867b9", "disk/by-id/ata-VBOX_HARDDISK_VB2c32427e-971867b9"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB059b059d-a8bc3dd4", "disk/by-id/ata-VBOX_HARDDISK_VB059b059d-a8bc3dd4"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "sdc", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 57226, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 51200}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 6026}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 337495}], "type": "vg", "id": "vm"}]	{}
\.


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 4, true);


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, flags, mode) FROM stdin;
\.


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 1, false);


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id) FROM stdin;
7	3	eth2	08:00:27:6d:e7:24	100	100	\N	\N	unknown	\N
8	3	eth1	08:00:27:94:bc:8b	100	100	\N	\N	unknown	\N
9	3	eth0	08:00:27:59:20:63	100	100	10.20.0.140	255.255.255.0	unknown	\N
10	4	eth2	08:00:27:1a:6b:0b	100	100	\N	\N	unknown	\N
11	4	eth1	08:00:27:72:8b:b2	100	100	\N	\N	unknown	\N
12	4	eth0	08:00:27:66:ab:f7	100	100	10.20.0.175	255.255.255.0	unknown	\N
4	2	eth2	08:00:27:11:bd:7b	100	100	\N	\N	down	\N
5	2	eth1	08:00:27:f8:24:1a	100	100	\N	\N	down	\N
6	2	eth0	08:00:27:f5:56:e9	100	100	10.20.0.4	255.255.255.0	unknown	\N
1	1	eth2	08:00:27:ec:9e:ff	100	100	\N	\N	down	\N
2	1	eth1	08:00:27:ec:6d:14	100	100	\N	\N	down	\N
3	1	eth0	08:00:27:a9:06:47	100	100	10.20.0.3	255.255.255.0	unknown	\N
\.


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 12, true);


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
1	6	1
2	7	2
\.


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 2, true);


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, uuid, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online, agent_checksum) FROM stdin;
4	187433d3-41fb-4cbe-ae42-0a8ed7ab488c	\N	Untitled (ab:f7)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:1A:6B:0B", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:72:8B:B2", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.175", "mac": "08:00:27:66:AB:F7", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB39b93ea5-37333d94", "disk/by-id/ata-VBOX_HARDDISK_VB39b93ea5-37333d94"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdc", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBac2123c3-9105643a", "disk/by-id/ata-VBOX_HARDDISK_VBac2123c3-9105643a"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB16a4b4fa-3c10f42c", "disk/by-id/ata-VBOX_HARDDISK_VB16a4b4fa-3c10f42c"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 278433628160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Core(TM) i5-3470 CPU @ 3.20GHz", "frequency": 3196}]}, "memory": {"total": 1045491712}}	08:00:27:66:ab:f7	10.20.0.175	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2014-04-28 09:34:06.956331	t	9fc27e4b9bdd54c4a15631aeb6b32be1d4b53c82
1	e173e337-127e-4a86-8366-ee9362b11025	1	Untitled (06:47)	error	{"memory": {"total": 1041526784}, "interfaces": [{"state": "down", "max_speed": 100, "mac": "08:00:27:EC:9E:FF", "current_speed": 100, "name": "eth2"}, {"state": "down", "max_speed": 100, "mac": "08:00:27:EC:6D:14", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "ip": "10.20.0.3", "netmask": "255.255.255.0", "mac": "08:00:27:A9:06:47", "state": "unknown", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa72bc84d-140fc4e6", "disk/by-id/ata-VBOX_HARDDISK_VBa72bc84d-140fc4e6"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1d9e4c8f-03e30ef5", "disk/by-id/ata-VBOX_HARDDISK_VB1d9e4c8f-03e30ef5"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd8827218-8d644e1a", "disk/by-id/ata-VBOX_HARDDISK_VBd8827218-8d644e1a"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 278433628160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Core(TM) i5-3470 CPU @ 3.20GHz", "frequency": 3197}]}, "system": {"serial": "0", "version": "1.2", "fqdn": "node-1", "family": "Virtual Machine", "manufacturer": "VirtualBox"}}	08:00:27:a9:06:47	10.20.0.3	node-1.domain.tld	VirtualBox	\N	0	ubuntu	f	f	deploy	\N	2014-04-28 09:34:07.94239	t	378f02a1b6610c9d4231bc2ecbd436f888c7e415
2	8c146c8f-a264-4884-811e-889211ea3b9d	1	Untitled (56:e9)	ready	{"memory": {"total": 6306934784}, "interfaces": [{"state": "unknown", "max_speed": 100, "mac": "08:00:27:11:BD:7B", "current_speed": 100, "name": "eth2"}, {"state": "unknown", "max_speed": 100, "mac": "08:00:27:F8:24:1A", "current_speed": 100, "name": "eth1"}, {"state": "unknown", "max_speed": 100, "mac": "08:00:27:F5:56:E9", "current_speed": 100, "name": "eth0"}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB059b059d-a8bc3dd4", "disk/by-id/ata-VBOX_HARDDISK_VB059b059d-a8bc3dd4"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB2c32427e-971867b9", "disk/by-id/ata-VBOX_HARDDISK_VB2c32427e-971867b9"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB86b6d42b-c0d65674", "disk/by-id/ata-VBOX_HARDDISK_VB86b6d42b-c0d65674"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 278433628160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Core(TM) i5-3470 CPU @ 3.20GHz", "frequency": 3198}]}, "system": {"serial": "0", "version": "1.2", "fqdn": "node-2", "family": "Virtual Machine", "manufacturer": "VirtualBox"}}	aa:0a:af:e9:4a:46	10.20.0.4	node-2.domain.tld	VirtualBox	\N	100	ubuntu	f	f	\N	\N	2014-04-28 09:34:15.35866	t	2397356f0b4502c06a2fb7740a8397fdc60b09cc
3	8e1c201a-a103-44e5-9fea-857a69e14946	\N	Untitled (20:63)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:6D:E7:24", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:94:BC:8B", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.140", "mac": "08:00:27:59:20:63", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB52ce4943-3e363e5f", "disk/by-id/ata-VBOX_HARDDISK_VB52ce4943-3e363e5f"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8ea6afc4-dbfc02ae", "disk/by-id/ata-VBOX_HARDDISK_VB8ea6afc4-dbfc02ae"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB112ae893-8d331e6c", "disk/by-id/ata-VBOX_HARDDISK_VB112ae893-8d331e6c"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 278433628160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Core(TM) i5-3470 CPU @ 3.20GHz", "frequency": 3199}]}, "memory": {"total": 1045491712}}	08:00:27:59:20:63	10.20.0.140	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2014-04-28 09:34:30.421184	t	bf7836fa82e61b1edf5b7e107f1bb845503b3fc7
\.


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 4, true);


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	read	2014-04-28 08:57:06.748071
2	\N	1	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.415 TB HDD 	read	2014-04-28 09:00:10.671054
3	\N	2	\N	discover	New node is discovered: 1 CPUs / 5.9 GB RAM / 0.415 TB HDD 	read	2014-04-28 09:00:14.623784
4	\N	3	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.415 TB HDD 	read	2014-04-28 09:00:17.507162
5	\N	4	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.415 TB HDD 	read	2014-04-28 09:00:26.97444
6	1	\N	\N	error	Deployment has failed. Check these nodes:\n'Untitled (06:47)'	read	2014-04-28 09:18:00.68273
\.


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 6, true);


--
-- Data for Name: nova_network_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nova_network_config (id, fixed_networks_cidr, fixed_networks_vlan_start, fixed_network_size, fixed_networks_amount, net_manager) FROM stdin;
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
\.


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 2, true);


--
-- Data for Name: red_hat_accounts; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY red_hat_accounts (id, username, password, license_type, satellite, activation_key) FROM stdin;
\.


--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('red_hat_accounts_id_seq', 1, false);


--
-- Data for Name: release_orchestrator_data; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY release_orchestrator_data (id, release_id, repo_metadata, puppet_manifests_source, puppet_modules_source) FROM stdin;
\.


--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('release_orchestrator_data_id_seq', 1, false);


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata) FROM stdin;
1	Icehouse on CentOS 6.5	2014.1	This option will install the OpenStack Icehouse packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "type": "checkbox"}, "ephemeral_ceph": {"weight": 35, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"weight": 70, "type": "text", "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "value": "2", "label": "Ceph object replication factor"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"conflicts": [{"cluster:net_provider": "neutron"}], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}, "vlan_splinters": {"vswitch": {"values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "type": "radio", "weight": 45, "value": "disabled", "label": "Open VSwitch VLAN Splinters feature (Neutron only)"}, "metadata": {"enabled": false, "weight": 40, "toggleable": true, "label": "VLAN Splinters"}}, "vcenter": {"use_vcenter": {"weight": 5, "type": "hidden", "description": "", "value": true, "label": ""}, "vc_user": {"description": "vCenter admin username", "weight": 30, "value": "", "label": "Username", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "host_ip": {"description": "IP Address of vCenter", "weight": 10, "value": "", "label": "vCenter IP", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "cluster": {"description": "vCenter cluster name", "weight": 40, "value": "", "label": "Cluster", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "vc_password": {"description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "password"}, "metadata": {"weight": 20, "label": "vCenter"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller", "mongo"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "depends": [{"warning": "Ceilometer should be enabled", "condition": {"settings:additional_components.ceilometer.value": true}}], "name": "Telemetry - MongoDB", "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "ceph-osd": {"conflicts": ["mongo"], "name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}
2	Icehouse on Ubuntu 12.04.4	2014.1	This option will install the OpenStack Icehouse packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "type": "checkbox"}, "ephemeral_ceph": {"value": false, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"value": "2", "type": "text", "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "label": "Ceph object replication factor"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"conflicts": [{"cluster:net_provider": "neutron"}], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}, "vcenter": {"use_vcenter": {"weight": 5, "type": "hidden", "description": "", "value": true, "label": ""}, "vc_user": {"description": "vCenter admin username", "weight": 30, "value": "", "label": "Username", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "host_ip": {"description": "IP Address of vCenter", "weight": 10, "value": "", "label": "vCenter IP", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "cluster": {"description": "vCenter cluster name", "weight": 40, "value": "", "label": "Cluster", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "text"}, "vc_password": {"description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "depends": [{"settings:common.libvirt_type.value": "vcenter"}], "type": "password"}, "metadata": {"weight": 20, "label": "vCenter"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller", "mongo"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "depends": [{"warning": "Ceilometer should be enabled", "condition": {"settings:additional_components.ceilometer.value": true}}], "name": "Telemetry - MongoDB", "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "ceph-osd": {"conflicts": ["mongo"], "name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}
\.


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 2, true);


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	controller
2	1	compute
3	1	cinder
4	1	ceph-osd
5	1	mongo
6	2	controller
7	2	compute
8	2	cinder
9	2	ceph-osd
10	2	mongo
\.


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 10, true);


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
5	1	6771b725-23f5-45cc-8c0c-f2a092318d3a	deployment	Deployment has failed. Check these nodes:\n'Untitled (06:47)'	error	100	{"args": {"task_uuid": "6771b725-23f5-45cc-8c0c-f2a092318d3a", "deployment_info": [{"use_cow_images": true, "uid": "1", "management_vip": "192.168.0.1", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "qemu", "sahara": {"db_password": "L9eogYgp", "user_password": "TojRI8y4", "enabled": true}, "mysql": {"root_password": "zJs7Rd7H"}, "quantum": true, "glance": {"image_cache_max_size": "35811701555", "user_password": "FeuT0dkc", "db_password": "dpxgdL89"}, "cinder": {"db_password": "T8i4CEqZ", "user_password": "2HRcPlrC"}, "quantum_settings": {"database": {"passwd": "mFrgScic"}, "keystone": {"admin_password": "NotVodgP"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet2": {"bridge": "br-prv", "vlan_range": "1000:1030"}, "physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "vlan"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.0.0/24", "floating": "172.16.0.130:172.16.0.254", "gateway": "172.16.0.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "vlan", "router_ext": false, "physnet": "physnet2", "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "YHxVZwQL"}}, "openstack_version": "2014.1", "swift": {"user_password": "pseSniU7"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "nova": {"db_password": "LrNGN5wm", "user_password": "ch9nu34P", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 100, "murano": {"db_password": "IF3a2tl5", "user_password": "1lhIiqM9", "enabled": true, "rabbit_password": "sjrBsmIn"}, "role": "controller", "online": true, "keystone": {"db_password": "uxcvIQa7", "admin_token": "TMKk18o2"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "172.16.0.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.1", "storage_address": "192.168.1.1", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "172.16.0.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.2", "storage_address": "192.168.1.2", "name": "node-2"}], "auto_assign_floating_ip": false, "ceilometer": {"db_password": "Iu3McHhD", "user_password": "MwOlWrhp", "metering_secret": "4a7hDzRN", "enabled": true}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth0", "br-storage"], "tags": [102, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-mgmt"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}, {"action": "add-br", "name": "br-prv"}, {"action": "add-patch", "bridges": ["br-eth0", "br-prv"]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "private": "br-prv", "fw-admin": "br-fw-admin"}, "interfaces": {"eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.3/24"]}, "br-storage": {"IP": ["192.168.1.1/24"]}, "br-ex": {"IP": ["172.16.0.2/24"], "gateway": "172.16.0.1"}, "br-mgmt": {"IP": ["192.168.0.1/24"]}, "br-prv": {"IP": "none"}}}, "heat": {"db_password": "nAMNhhzK", "user_password": "QSMfA3cZ", "enabled": true, "rabbit_password": "15HyEZUG"}, "storage_network_range": "192.168.1.0/24", "fuel_version": "5.0", "rabbit": {"password": "kbrLsGcV"}, "nova_quota": false, "management_network_range": "192.168.0.0/24", "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"weight": 20, "label": "vCenter"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "auth_key": "", "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "fqdn": "node-1.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "deployment_mode": "multinode", "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "start_guests_on_host_boot": true}, {"use_cow_images": true, "uid": "2", "management_vip": "192.168.0.1", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "qemu", "sahara": {"db_password": "L9eogYgp", "user_password": "TojRI8y4", "enabled": true}, "mysql": {"root_password": "zJs7Rd7H"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "FeuT0dkc", "db_password": "dpxgdL89"}, "cinder": {"db_password": "T8i4CEqZ", "user_password": "2HRcPlrC"}, "quantum_settings": {"database": {"passwd": "mFrgScic"}, "keystone": {"admin_password": "NotVodgP"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet2": {"bridge": "br-prv", "vlan_range": "1000:1030"}, "physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "vlan"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.0.0/24", "floating": "172.16.0.130:172.16.0.254", "gateway": "172.16.0.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "vlan", "router_ext": false, "physnet": "physnet2", "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "YHxVZwQL"}}, "openstack_version": "2014.1", "swift": {"user_password": "pseSniU7"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "nova": {"db_password": "LrNGN5wm", "user_password": "ch9nu34P", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "IF3a2tl5", "user_password": "1lhIiqM9", "enabled": true, "rabbit_password": "sjrBsmIn"}, "role": "compute", "online": true, "keystone": {"db_password": "uxcvIQa7", "admin_token": "TMKk18o2"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "172.16.0.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.1", "storage_address": "192.168.1.1", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "172.16.0.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.2", "storage_address": "192.168.1.2", "name": "node-2"}], "auto_assign_floating_ip": false, "ceilometer": {"db_password": "Iu3McHhD", "user_password": "MwOlWrhp", "metering_secret": "4a7hDzRN", "enabled": true}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth0", "br-storage"], "tags": [102, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-mgmt"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}, {"action": "add-br", "name": "br-prv"}, {"action": "add-patch", "bridges": ["br-eth0", "br-prv"]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "private": "br-prv", "fw-admin": "br-fw-admin"}, "interfaces": {"eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.4/24"]}, "br-storage": {"IP": ["192.168.1.2/24"]}, "br-ex": {"IP": ["172.16.0.3/24"], "gateway": "172.16.0.1"}, "br-mgmt": {"IP": ["192.168.0.2/24"]}, "br-prv": {"IP": "none"}}}, "heat": {"db_password": "nAMNhhzK", "user_password": "QSMfA3cZ", "enabled": true, "rabbit_password": "15HyEZUG"}, "storage_network_range": "192.168.1.0/24", "fuel_version": "5.0", "rabbit": {"password": "kbrLsGcV"}, "nova_quota": false, "management_network_range": "192.168.0.0/24", "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"weight": 20, "label": "vCenter"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "auth_key": "", "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "fqdn": "node-2.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "deployment_mode": "multinode", "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "start_guests_on_host_boot": true}]}, "respond_to": "deploy_resp", "method": "deploy", "api_version": "1.0"}	{}	1	1
1	1	7533cdee-1431-4d8c-9557-adfa7fa08054	deploy	Deployment has failed. Check these nodes:\n'Untitled (06:47)'	error	100	{}	{}	\N	1
4	1	8c19ef43-7805-4881-acda-20e54d5469e9	provision	\N	ready	100	{"args": {"task_uuid": "8c19ef43-7805-4881-acda-20e54d5469e9", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "1", "interfaces": {"eth2": {"static": "0", "mac_address": "08:00:27:ec:9e:ff"}, "eth1": {"static": "0", "mac_address": "08:00:27:ec:6d:14"}, "eth0": {"ip_address": "10.20.0.3", "dns_name": "node-1.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:a9:06:47"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:a9:06:47_eth0,08:00:27:ec:6d:14_eth1,08:00:27:ec:9e:ff_eth2", "netcfg/choose_interface": "08:00:27:a9:06:47"}, "power_address": "10.20.0.208", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd8827218-8d644e1a", "disk/by-id/ata-VBOX_HARDDISK_VBd8827218-8d644e1a"], "free_space": 264907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 53258, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 211777, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "sda", "size": 265535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1d9e4c8f-03e30ef5", "disk/by-id/ata-VBOX_HARDDISK_VB1d9e4c8f-03e30ef5"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa72bc84d-140fc4e6", "disk/by-id/ata-VBOX_HARDDISK_VBa72bc84d-140fc4e6"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 53194, "volumes": [{"mount": "/", "size": 51200, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 1994, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 341527, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.0", "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-1", "hostname": "node-1.domain.tld", "slave_name": "node-1", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "2", "interfaces": {"eth2": {"static": "0", "mac_address": "08:00:27:11:bd:7b"}, "eth1": {"static": "0", "mac_address": "08:00:27:f8:24:1a"}, "eth0": {"ip_address": "10.20.0.4", "dns_name": "node-2.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:f5:56:e9"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:f5:56:e9_eth0,08:00:27:f8:24:1a_eth1,08:00:27:11:bd:7b_eth2", "netcfg/choose_interface": "08:00:27:f5:56:e9"}, "power_address": "10.20.0.164", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB86b6d42b-c0d65674", "disk/by-id/ata-VBOX_HARDDISK_VB86b6d42b-c0d65674"], "free_space": 264907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 57290, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 207745, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 265535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB2c32427e-971867b9", "disk/by-id/ata-VBOX_HARDDISK_VB2c32427e-971867b9"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB059b059d-a8bc3dd4", "disk/by-id/ata-VBOX_HARDDISK_VB059b059d-a8bc3dd4"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sdc", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 57226, "volumes": [{"mount": "/", "size": 51200, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 6026, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 337495, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.0", "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-2", "hostname": "node-2.domain.tld", "slave_name": "node-2", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}, "respond_to": "provision_resp", "method": "provision", "api_version": "1.0"}	{}	1	0.400000000000000022
6	\N	59d69394-aa17-44ff-8040-0bb1bd902db7	dump	\N	running	0	{"args": {"task_uuid": "59d69394-aa17-44ff-8040-0bb1bd902db7", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/www/nailgun/dump/fuel-snapshot", "dump_roles": {"master": ["localhost"], "slave": ["node-1.domain.tld", "node-2.domain.tld"]}, "dump_objects": {"master": [{"username": "nailgun", "dbhost": "localhost", "password": "nailgun", "type": "postgres", "dbname": "nailgun"}, {"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/var/log/nailgun", "type": "dir"}, {"path": "/var/log/astute", "type": "dir"}, {"path": "/var/log/cobbler", "type": "dir"}, {"path": "/var/log/puppet", "type": "dir"}, {"path": "/var/log/remote", "type": "subs", "subs": {}}, {"path": "/var/log/ostf.log", "type": "file"}, {"path": "/var/log/ostf-stdout.log", "type": "file"}, {"type": "command", "to_file": "df.txt", "command": "df -h"}, {"type": "command", "to_file": "mount.txt", "command": "mount"}, {"type": "command", "to_file": "iptables_nat.txt", "command": "iptables -t nat -S"}, {"type": "command", "to_file": "iptables_filter.txt", "command": "iptables -t filter -S"}, {"type": "command", "to_file": "dmidecode.txt", "command": "dmidecode"}, {"type": "command", "to_file": "uptime.txt", "command": "uptime"}, {"type": "command", "to_file": "ps.txt", "command": "ps auxwwf"}, {"type": "command", "to_file": "lvm_pvdisplay.txt", "command": "pvdisplay"}, {"type": "command", "to_file": "lvm_vgdisplay.txt", "command": "vgdisplay"}, {"type": "command", "to_file": "lvm_lvdisplay.txt", "command": "lvdisplay"}, {"type": "command", "to_file": "ip_a.txt", "command": "ip a"}, {"type": "command", "to_file": "ip_r.txt", "command": "ip r"}, {"type": "command", "to_file": "cobbler_report.txt", "command": "cobbler system report"}, {"type": "command", "to_file": "netstat.txt", "command": "netstat -anp"}, {"type": "command", "to_file": "brctl_show.txt", "command": "brctl show"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log/fuelmenu.log", "type": "file"}], "slave": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"type": "command", "to_file": "df.txt", "command": "df -h"}, {"type": "command", "to_file": "mount.txt", "command": "mount"}, {"type": "command", "to_file": "iptables_nat.txt", "command": "iptables -t nat -S"}, {"type": "command", "to_file": "iptables_filter.txt", "command": "iptables -t filter -S"}, {"type": "command", "to_file": "dmidecode.txt", "command": "dmidecode"}, {"type": "command", "to_file": "uptime.txt", "command": "uptime"}, {"type": "command", "to_file": "ps.txt", "command": "ps auxwwf"}, {"type": "command", "to_file": "lvm_pvdisplay.txt", "command": "pvdisplay"}, {"type": "command", "to_file": "lvm_vgdisplay.txt", "command": "vgdisplay"}, {"type": "command", "to_file": "lvm_lvdisplay.txt", "command": "lvdisplay"}, {"type": "command", "to_file": "ip_a.txt", "command": "ip a"}, {"type": "command", "to_file": "ip_r.txt", "command": "ip r"}, {"type": "command", "to_file": "netstat.txt", "command": "netstat -anp"}, {"type": "command", "to_file": "brctl_show.txt", "command": "brctl show"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"type": "command", "to_file": "blkid_o_list.txt", "command": "blkid -o list"}]}}}, "respond_to": "dump_environment_resp", "method": "dump_environment", "api_version": "1.0"}	{}	\N	1
\.


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 6, true);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networking_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_pkey PRIMARY KEY (id);


--
-- Name: neutron_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodes_uuid_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_uuid_key UNIQUE (uuid);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: nova_network_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: red_hat_accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY red_hat_accounts
    ADD CONSTRAINT red_hat_accounts_pkey PRIMARY KEY (id);


--
-- Name: release_orchestrator_data_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_pkey PRIMARY KEY (id);


--
-- Name: releases_name_version_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_version_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_name_release_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_name_release_id_key UNIQUE (name, release_id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networking_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: neutron_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id);


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: nova_network_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: release_orchestrator_data_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

